[CentOS] SELinux and KVM

James B. Byrne byrnejb at harte-lyne.ca
Mon Nov 9 19:30:21 UTC 2009


On Mon, November 9, 2009 10:44, James B. Byrne wrote:

> I'm not running KVM (but Xen). From the snippets above I deduce:
>
> - qemu is not part of CentOS, you probably got it from rpmforge.
> - that means you do not need qemu for KVM usage
> - SELinux cannot know about it
> - there's probably a different preferred way to use KVM on CentOS



Odd then, do you not think, that when I install virt-manager yum
requires qemu from the extras repository and does not require
kvm-qemu-img.  Odder still that yum seems not to know anything about
kvm-qemu-img.

# yum whatprovides */kvm-qemu-img
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * addons: centos.mirror.iweb.ca
 * base: centos.mirror.iweb.ca
 * extras: centos.mirror.iweb.ca
 * updates: centos.mirror.iweb.ca
No Matches found

# yum install virt-manager
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * addons: mirror.csclub.uwaterloo.ca
 * base: mirror.csclub.uwaterloo.ca
 * extras: mirror.csclub.uwaterloo.ca
 * updates: mirror.csclub.uwaterloo.ca
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package virt-manager.x86_64 0:0.6.1-8.el5 set to be updated
--> Processing Dependency: libvirt-python >= 0.3.3 for package:
virt-manager
--> Processing Dependency: python-virtinst >= 0.400.3 for package:
virt-manager
--> Running transaction check
---> Package libvirt-python.x86_64 0:0.6.3-20.1.el5_4 set to be updated
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.1.0)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.6.1)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.1.9)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.1.1)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.6.3)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.2.0)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.5.0)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.4.1)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.1.4)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.2.3)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.3.0)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.1.5)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.4.0)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.0.3)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.6.0)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.3.3)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.2.1)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.0.5)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.4.5)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0(LIBVIRT_0.3.2)(64bit) for
package: libvirt-python
--> Processing Dependency: libvirt.so.0()(64bit) for package:
libvirt-python
---> Package python-virtinst.noarch 0:0.400.3-5.el5 set to be updated
--> Running transaction check
---> Package libvirt.x86_64 0:0.6.3-20.1.el5_4 set to be updated
--> Processing Dependency: /usr/bin/qemu-img for package: libvirt
--> Running transaction check
---> Package qemu.x86_64 0:0.9.0-4 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package               Arch         Version                
Repository     Size
================================================================================
Installing:
 virt-manager          x86_64       0.6.1-8.el5             base    
     1.5 M
Installing for dependencies:
 libvirt               x86_64       0.6.3-20.1.el5_4        updates 
     2.0 M
 libvirt-python        x86_64       0.6.3-20.1.el5_4        updates 
     133 k
 python-virtinst       noarch       0.400.3-5.el5           base    
     378 k
 qemu                  x86_64       0.9.0-4                 extras  
     4.5 M

Transaction Summary
================================================================================
Install      5 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

-- 
***          E-Mail is NOT a SECURE channel          ***
James B. Byrne                mailto:ByrneJB at Harte-Lyne.ca
Harte & Lyne Limited          http://www.harte-lyne.ca
9 Brockley Drive              vox: +1 905 561 1241
Hamilton, Ontario             fax: +1 905 561 0757
Canada  L8E 3C3



More information about the CentOS mailing list